Page MenuHomeFreeBSD

- Fix Headset sound for DELL laptops
ClosedPublic

Authored by miwi on Jan 29 2019, 2:47 PM.

Details

Summary
  • Fixes sound on headset jack for ALC255 and ALC256 codec like DELL Inspirion 7577,

Vostro 15-3568, Latitude 7370, Inspiron 15-3552 and Inspiron 15-3567.

PR: 219350 [1], [2]

https://github.com/trueos/trueos/pull/279 [3]

Submitted by: Masachika ISHIZUKA (ish_at_amail.plala.or.jp) [1]

Neel Chauhan (neel_at_neelc.org) [2]
Yuri Momotyuk (yurkis_at_gmail.com) [3]

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

miwi created this revision.Jan 29 2019, 2:47 PM
miwi updated this revision to Diff 53377.Jan 29 2019, 2:56 PM
  • space and tab fixes
miwi edited the summary of this revision. (Show Details)Jan 30 2019, 11:23 AM
araujo accepted this revision.Feb 22 2019, 1:16 AM
araujo added a reviewer: mav.

I have added @mav as a reviewer, I know he has worked with the hda drivers before.

@mav do you mind take a look on this patch too?

It looks good to me.

@miwi wait for @mav review before proceed with the commit.

Best,

This revision is now accepted and ready to land.Feb 22 2019, 1:18 AM
0mp added a subscriber: 0mp.Feb 23 2019, 6:04 PM
0mp added inline comments.
sys/dev/sound/pci/hda/hdaa_patches.c
784 ↗(On Diff #53377)

I am not sure but isn't there an extra leading tab?

mav accepted this revision.Feb 28 2019, 1:34 PM

I have no objections, but I have no documentation to know what that coefficient being set means.

Also just curios, why have you used if statement instead of continuing switch just above.

rlibby added a subscriber: rlibby.Jul 3 2019, 5:45 PM

Please commit this simple patch and MFC to 12 before code slush phase begins.

Ok, I'm gonna do it tomorrow!!!

This revision was automatically updated to reflect the committed changes.